=== modified file 'drizzled/function_container.h'
--- drizzled/function_container.h	2010-09-11 01:35:47 +0000
+++ drizzled/function_container.h	2010-09-11 21:30:52 +0000
@@ -22,14 +22,13 @@
 #define DRIZZLED_FUNCTION_CONTAINER_H
 
 #include <set>
-#include <map>
 #include <boost/unordered_map.hpp>
 #include "drizzled/util/string.h"
 
 namespace drizzled {
 
 struct Native_func_registry;
-typedef std::map<std::string, Native_func_registry *> NativeFunctionsMap;
+typedef boost::unordered_map<std::string, Native_func_registry *, util::insensitive_hash, util::insensitive_equal_to> NativeFunctionsMap;
 
 class FunctionContainer {
 public:

=== modified file 'drizzled/item/create.cc'
--- drizzled/item/create.cc	2010-09-11 01:35:47 +0000
+++ drizzled/item/create.cc	2010-09-11 21:30:52 +0000
@@ -2610,7 +2610,6 @@
   for (func= func_array; func->builder != NULL; func++)
   {
     func_name.assign(func->name.str, func->name.length);
-    transform(func_name.begin(), func_name.end(), func_name.begin(), ::tolower);
 
     FunctionContainer::getMap()[func_name]= func;
   }
@@ -2626,7 +2625,6 @@
   Create_func *builder= NULL;
 
   string func_name(name.str, name.length);
-  transform(func_name.begin(), func_name.end(), func_name.begin(), ::tolower);
 
   NativeFunctionsMap::iterator func_iter=
     FunctionContainer::getMap().find(func_name);

